Subject: [PATCH v7 06/15] gpio: find gpio base by ascend order

From: [email-masked] (Grant Likely)
Date: Sat, 09 Feb 2013 13:45:40 +0000

On Fri, 18 Jan 2013 15:31:10 +0800, Haojian Zhuang <[email-masked]> wrote:
> gpiochip_find_base() always tries to find valid gpio with descend order.
> It's inconvient if gpio information is passing from DTS. Now try to find
> valid gpio with ascend order.

Why is it more convenient? Just to make the numbers smaller? The reason
it uses a descending search is to mimimize the possibility of collision
with fixed GPIO numbers.

g.